/*
 * Copyright (c) 2008-2013 Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
define('Sonatype/repoServer/repositoryBrowserContextMenuContribution', function() {
Sonatype.Events.addListener('repositoryContentMenuInit', function(menu, repoRecord, contentRecord) {
      if (Sonatype.lib.Permissions.checkPermission('nexus:archivefiles', Sonatype.lib.Permissions.READ))
      {
        if (contentRecord.data.resourceURI == null)
        {
          contentRecord.data.resourceURI = contentRecord.data.id;
        }

        var javadocExtension = '-javadoc.jar';

        var index = contentRecord.data.resourceURI.indexOf(javadocExtension);

        if (index != -1 && contentRecord.data.resourceURI.length == index + javadocExtension.length)
        {
          this.archiveResourceURI = contentRecord.data.resourceURI.replace('/content/', '/archive/').replace('/service/local/repo_groups/', '/service/local/repositories/') + '/!/index.html';
          menu.add('-');
          menu.add({
                text : 'View Javadoc',
                scope : this,
                handler : function(node, item, event) {
                  event.stopEvent();
                  window.open(this.archiveResourceURI);
                },
                href : this.archiveResourceURI
              });
        }
      }
    });
});